<template>
    <div class="loadingContainer">
      <v-progress-circular
        :size="70"
        :width="5"
        indeterminate
        color="secondary"
        style="display:block;margin:0 auto;">
      </v-progress-circular>
      <h2 class="loadingText">
        {{loadingMessage}}
      </h2>
    </div>
</template>
<script>
export default {
  name: 'DefaultSpinnerComponent',
  props: [ 'loadingMessage' ]
}
</script>
<style>
  .loadingContainer{
    position: fixed;
    left: 50%;
    top: 30%;
  }
  .loadingText{
    text-align: center;
    color: #2a434d;
    font-size: 20px;
    font-weight: 500;
  }
</style>
